require "import"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

-- Function to speak temperature
function speakTemperature(context)
    -- Get temperature
    local temperatureIntent = context.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
    local temperature = temperatureIntent.getIntExtra(BatteryManager.EXTRA_TEMPERATURE, 0) / 10
    
    -- Create and speak the message
    local message = "The temperature is " .. temperature .. "°C."
    context.speak(message)
end

-- Call the function
speakTemperature(this)

return true
